Name: ca_UKeScienceCA-2A
Version: 1.57
Release: 1
Source: ca_UKeScienceCA-2A-1.57.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_UKeScienceCA-2A-1.57/1b6f5ede.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority UKeScienceCA-2A

%if %([ -n "http://www.grid-support.ac.uk/ca/" ] && echo 1 || echo 0)
URL: http://www.grid-support.ac.uk/ca/
%endif

%if %([ -n "ca_UKeScienceRoot-2007 = 1.57" ] && echo 1 || echo 0)
Requires: ca_UKeScienceRoot-2007 = 1.57
%endif

%prep
%setup -n ca_UKeScienceCA-2A-1.57

%description
This is the trust anchor for the classic accredited authority UKeScienceCA-2A.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

